1. Bookings
Caldasa API Docs
  • Availability
    • List availability slots
      GET
  • Bookings
    • List bookings
      GET
    • Create a booking
      POST
    • Get a booking
      GET
    • Cancel a booking
      POST
    • List signed forms
      GET
    • Get a signed-form download URL
      GET
  • Customers
    • List customers
      GET
    • Create a customer
      POST
    • Get a customer
      GET
    • Update a customer
      PATCH
    • List customer activities
      GET
    • List customer notes
      GET
    • Create a customer note
      POST
    • Update a customer note
      PATCH
    • Delete a customer note
      DELETE
    • Send a customer message
      POST
  • Events
    • List events
      GET
    • Create an event
      POST
    • Get an event
      GET
    • Update an event
      PATCH
    • List ticket types
      GET
    • Create a ticket type
      POST
    • Get ticket sales report
      GET
    • Publish an event
      POST
    • Cancel an event
      POST
    • Update a ticket type
      PATCH
    • Delete a ticket type
      DELETE
    • List ticket orders
      GET
    • Cancel a ticket order
      POST
    • Resend ticket QR codes
      POST
  • Forms
    • List form templates
    • Get a form template
  • Locations
    • List locations
    • Create a location
    • Get a location
    • Update a location
    • Delete a location
    • List business hours
    • Replace business hours
    • Update location address
    • List location staff
    • Assign staff to a location
    • Unassign staff from a location
  • Orders
    • List orders
    • Get an order
  • Reservables
    • List reservables
    • Create a reservable
    • Get a reservable
    • Update a reservable
    • Delete a reservable
    • List reservable variants
    • List reservable staff
  • Resources
    • List resources
    • Create a resource
    • Get a resource
    • Update a resource
    • Delete a resource
    • List resource types
    • Create a resource type
    • Get a resource type
    • Update a resource type
    • Delete a resource type
  • Reviews
    • List reviews
    • Moderate a review
  • Staff
    • List staff members
    • Create a staff member
    • Get a staff member
    • Update a staff member
    • Delete a staff member
    • List staff shifts
    • Create a staff shift
    • List staff blocks
    • Create a staff block
    • Delete a staff shift
    • Delete a staff block
  • Tenant
    • Get the current tenant
  • Tickets
    • Redeem a ticket
  • Webhooks
    • List event types
    • Get an event-type sample
    • List webhooks
    • Create a webhook
    • Update a webhook
    • Delete a webhook
    • Rotate webhook secret
    • Send a test event
    • List webhook deliveries
  • Schemas
    • CancelPublicTicketOrderRequest
    • CreatePublicBookableEventRequest
    • CreatePublicBookingItemRequest
    • CreatePublicBookingRequest
    • CreatePublicBusinessLocationRequest
    • CreatePublicCustomerNoteRequest
    • CreatePublicCustomerRequest
    • CreatePublicReservableRequest
    • CreatePublicResourceRequest
    • CreatePublicResourceTypeRequest
    • CreatePublicStaffBlockRequest
    • CreatePublicStaffMemberRequest
    • CreatePublicStaffShiftRequest
    • CreatePublicTicketTypeRequest
    • CreatePublicWebhookSubscriptionRequest
    • ModeratePublicReviewRequest
    • ProblemDetails
    • PublicAvailabilityResponse
    • PublicAvailabilitySlotDto
    • PublicBookableEventAttendeeDto
    • PublicBookableEventBookingSummaryDto
    • PublicBookableEventDetailDto
    • PublicBookableEventDto
    • PublicBookableEventListResponse
    • PublicBookingDto
    • PublicBookingItemDto
    • PublicBookingListResponse
    • PublicBookingResourceSelection
    • PublicBusinessHourDto
    • PublicBusinessHourListResponse
    • PublicBusinessLocationDto
    • PublicBusinessLocationListResponse
    • PublicBusinessLocationStaffDto
    • PublicBusinessLocationStaffListResponse
    • PublicCustomerActivityDto
    • PublicCustomerActivityListResponse
    • PublicCustomerDto
    • PublicCustomerListResponse
    • PublicCustomerNoteDto
    • PublicCustomerNoteListResponse
    • PublicFormTemplateDto
    • PublicFormTemplateFieldDto
    • PublicFormTemplateListResponse
    • PublicOrderDetailDto
    • PublicOrderDto
    • PublicOrderLineItemDto
    • PublicOrderListResponse
    • PublicOrderTicketDto
    • PublicReservableDto
    • PublicReservableListResponse
    • PublicReservableResourceSummary
    • PublicReservableStaffDto
    • PublicReservableStaffListResponse
    • PublicReservableVariantDto
    • PublicReservableVariantListResponse
    • PublicResourceDto
    • PublicResourceListResponse
    • PublicResourceTypeDto
    • PublicResourceTypeListResponse
    • PublicReviewDto
    • PublicReviewListResponse
    • PublicSignedFormDownloadDto
    • PublicSignedFormDto
    • PublicSignedFormListResponse
    • PublicStaffBlockDto
    • PublicStaffBlockListResponse
    • PublicStaffMemberDto
    • PublicStaffMemberListResponse
    • PublicStaffShiftDto
    • PublicStaffShiftListResponse
    • PublicTenantDto
    • PublicTicketOrderDto
    • PublicTicketOrderTicketDto
    • PublicTicketOrdersResponse
    • PublicTicketRedemptionResultDto
    • PublicTicketSalesReportDto
    • PublicTicketSalesReportTier
    • PublicTicketTypeDto
    • PublicTicketTypeListResponse
    • PublicWebhookDeliveryDto
    • PublicWebhookDeliveryListResponse
    • PublicWebhookEventDescriptorDto
    • PublicWebhookEventTypeListResponse
    • PublicWebhookSubscriptionDto
    • PublicWebhookSubscriptionListResponse
    • PublicWebhookSubscriptionWithSecretDto
    • RedeemPublicTicketRequest
    • SendPublicCustomerMessageRequest
    • SendPublicCustomerMessageResult
    • UpdatePublicBookableEventRequest
    • UpdatePublicBusinessHourEntry
    • UpdatePublicBusinessHoursRequest
    • UpdatePublicBusinessLocationAddressRequest
    • UpdatePublicBusinessLocationDetailsRequest
    • UpdatePublicCustomerNoteRequest
    • UpdatePublicCustomerRequest
    • UpdatePublicReservableRequest
    • UpdatePublicResourceRequest
    • UpdatePublicResourceTypeRequest
    • UpdatePublicStaffMemberRequest
    • UpdatePublicTicketTypeRequest
    • UpdatePublicWebhookSubscriptionRequest
    • ValidationProblemDetails
  1. Bookings

Create a booking

POST
https://prod.your-api-server.com/bookings
Last modified:2026-04-29 08:09:11
Creates a new reservation through the same pipeline the portal uses —
resource allocation, conflict checks, deposit policies, customer
linkage, and outbound confirmation messages all run as on the portal.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/json

Example
{
    "businessLocationId": "84527a82-7de9-4552-9101-e217e0c1ba3a",
    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
    "customerName": "string",
    "customerEmail": "string",
    "customerPhone": "string",
    "notes": "string",
    "optInEmail": true,
    "optInSms": true,
    "items": [
        {
            "reservableVariantId": "9690f75d-e491-408d-adc6-ca59c38a215c",
            "staffMemberId": "138ee295-38b9-456a-b430-39719940f4cd",
            "startsAt": "2019-08-24T14:15:22.123Z",
            "resourceSelections": [
                {
                    "resourceTypeId": "a59ee688-b5e5-4606-9891-f4a605edacd3",
                    "specificResourceId": "0c1fbbe8-4e41-4284-a7b4-093f14c005be"
                }
            ]
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://prod.your-api-server.com/bookings' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "businessLocationId": "84527a82-7de9-4552-9101-e217e0c1ba3a",
    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
    "customerName": "string",
    "customerEmail": "string",
    "customerPhone": "string",
    "notes": "string",
    "optInEmail": true,
    "optInSms": true,
    "items": [
        {
            "reservableVariantId": "9690f75d-e491-408d-adc6-ca59c38a215c",
            "staffMemberId": "138ee295-38b9-456a-b430-39719940f4cd",
            "startsAt": "2019-08-24T14:15:22.123Z",
            "resourceSelections": [
                {
                    "resourceTypeId": "a59ee688-b5e5-4606-9891-f4a605edacd3",
                    "specificResourceId": "0c1fbbe8-4e41-4284-a7b4-093f14c005be"
                }
            ]
        }
    ]
}'

Responses

🟢201
application/json
Created
Body

Example
{
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "publicId": "string",
    "businessLocationId": "84527a82-7de9-4552-9101-e217e0c1ba3a",
    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
    "customerName": "string",
    "customerEmail": "string",
    "customerPhone": "string",
    "status": "string",
    "totalCents": 0,
    "startsAt": "2019-08-24T14:15:22.123Z",
    "endsAt": "2019-08-24T14:15:22.123Z",
    "completedAt": "2019-08-24T14:15:22.123Z",
    "notes": "string",
    "createdAt": "2019-08-24T14:15:22.123Z",
    "items": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "reservableVariantId": "9690f75d-e491-408d-adc6-ca59c38a215c",
            "staffMemberId": "138ee295-38b9-456a-b430-39719940f4cd",
            "serviceName": "string",
            "startsAt": "2019-08-24T14:15:22.123Z",
            "endsAt": "2019-08-24T14:15:22.123Z",
            "priceCents": 0
        }
    ]
}
🟠400
🟠401
🟠409
🟠429
🔴500
Modified at 2026-04-29 08:09:11
Previous
List bookings
Next
Get a booking
Built with